# Interface VisibleIcon

Represents a visible Icon.

interface VisibleIcon {
icon: Icon;
mesh: Mesh;
type: Icon;
}

#### Hierarchy

- Omit<VisibleMesh, "type">
  - VisibleIcon

##### Index

### Properties

icon
mesh
type

## Properties

### icon

icon: Icon

Visible icon

### `Readonly` mesh

mesh: Mesh

The Mesh which is visible. (May contain ifc objects nor not)

Inherited from Omit.mesh

### type

type: Icon

Discriminant union selector.